Bug 439801 - (CVE-2008-1612) CVE-2008-1612 squid: regression in SQUID-2007:2 / CVE-2007-6239
CVE-2008-1612 squid: regression in SQUID-2007:2 / CVE-2007-6239
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
: Security
Depends On: 439988 439989 439990 439991 439992 439993
  Show dependency treegraph
Reported: 2008-03-31 10:29 EDT by Tomas Hoger
Modified: 2008-07-25 06:17 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-07-25 06:17:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Tomas Hoger 2008-03-31 10:29:38 EDT
Squid security advisory SQUID-2007:2 was released on 2007-11-27 describing
potential denial of service (DoS) bug in squid proxy server:


The advisory was now updated to address problem introduced by the fix:


Following patch is need to allow shrinking squid Arrays to zero-sized arrays:

Comment 1 Tomas Hoger 2008-03-31 11:50:29 EDT
Issue was previously tracked using bug bug #410181.
Comment 3 Tomas Hoger 2008-03-31 12:16:14 EDT
This issue was introduced in the original fix for SQUID-2007_2.  An attacker can
possibly cause squid child process to exit due to a failed assert.  New child
process is spawned by the parent squid process to replace exited child.  Child
process exit can easily interrupt current connections of other users.

Issue affects squid packages currently shipped in Red Hat Enterprise Linux 2.1,
3, 4, and 5.
Comment 6 Red Hat Product Security 2008-07-25 06:17:56 EDT
This issue was addressed in:

Red Hat Enterprise Linux:

Note You need to log in before you can comment on or make changes to this bug.